# Card Verifications

Determine the validity of your customer's card to maximize authorization rates.<br><br> __Authentication header__
  ```
    Authorization: {your_credentials}
  ```
Replace `{your_credentials}` with your base64-encoded Basic Auth username and password given to your by your Implementation Manager. <br /> <br />
You **must** use the `Authorization` header for any request you send to our Card Verifications API. <br><br> __Accept/Content-Type header for card verifications__
  ```
  Content-Type : application/vnd.worldpay.cardVerifications-v6+json,
  Accept : application/vnd.worldpay.cardVerifications-v6+json
  ```
  <br>

  __Accept/Content-Type header for ACH verifications (US accounts)__
  ```
  Content-Type : application/vnd.worldpay.achVerifications-v6+json,
  Accept : application/vnd.worldpay.achVerifications-v6+json
  ```
<br> We use the Accept header to identify which version of our API you are using. You must use the Accept header for any request you send to our Card Verifications API. <br><br> We require the Content-Type header if the request you're sending includes a request body, and if the HTTP method is a `POST` or a `PUT`. <br /><br />
__DNS whitelisting__ <br><br> Whitelist the following URLs:<br><br> * `https://try.access.worldpay-bsh.securedataplatform.com/`<br> * `https://access.worldpay-bsh.securedataplatform.com/`<br><br>
Please ensure you use DNS whitelisting, not explicit IP whitelisting.

Version: 6
Metadata:
  - category: ["Verifications"]
  - business: ["Enterprise"]
  - catalog-list: true
  - generated: false

## Servers

Test (Try)
```
https://try.access.worldpay-bsh.securedataplatform.com
```

Live
```
https://access.worldpay-bsh.securedataplatform.com
```

## Security

### BasicAuth

username:password = merchant1:password  
Base-64 encoded = bWVyY2hhbnQxcGFzc3dvcmQ=


Type: http
Scheme: basic

## Download OpenAPI description

[Card Verifications](https://worldpay-portal.eu.redocly.app/access/_bundle/products/card-verifications/@v6/openapi.yaml)

## Other

### Card Verification / Name Inquiry

 - [POST /cardVerifications](https://worldpay-portal.eu.redocly.app/access/products/card-verifications/openapi/other/cardverify.md): Verify your customer's card. Perform a name inquiry to verify the name of the cardholder.

### ACH verification

 - [POST /achVerifications](https://worldpay-portal.eu.redocly.app/access/products/card-verifications/openapi/other/ach.md): Successful account verification outcome.

### Query a previous verification

 - [GET /cardVerifications/{linkData}](https://worldpay-portal.eu.redocly.app/access/products/card-verifications/openapi/other/getcardverificationbyresourceid.md): Querying of a successful verification.

